]> https://gitweb.dealii.org/ - dealii-svn.git/commitdiff
Added support for the Intel ECC Itanium compiler in aclocal.m4
authorbenkirk <benkirk@0785d39b-7218-0410-832d-ea1e28bc413d>
Wed, 22 May 2002 15:00:31 +0000 (15:00 +0000)
committerbenkirk <benkirk@0785d39b-7218-0410-832d-ea1e28bc413d>
Wed, 22 May 2002 15:00:31 +0000 (15:00 +0000)
git-svn-id: https://svn.dealii.org/trunk@5873 0785d39b-7218-0410-832d-ea1e28bc413d

deal.II/aclocal.m4
deal.II/configure
deal.II/doc/news/2002/c-3-3.html
deal.II/doc/news/news.html

index 889f4c05efbbb8000c41de97cfed03779216e114..fe3d2b1bdffd0d0e4a3b7c17a87323894b1d41f0 100644 (file)
@@ -97,51 +97,59 @@ AC_DEFUN(DEAL_II_DETERMINE_CXX_BRAND, dnl
           GXX_VERSION=intel_icc
         else
   
-          dnl Or DEC's cxx compiler?
-          is_dec_cxx="`($CXX -V 2>&1) | grep 'Compaq C++'`"
-          if test "x$is_dec_cxx" != "x" ; then
-            AC_MSG_RESULT(C++ compiler is Compaq cxx)
-            GXX_VERSION=compaq_cxx
+          dnl Intel's ECC C++ compiler for the Itanium?
+          is_intel_ecc="`($CXX -V 2>&1) | grep 'Intel(R) C++ Itanium(TM) Compiler'`"
+          if test "x$is_intel_ecc" != "x" ; then
+            AC_MSG_RESULT(C++ compiler is Intel Itanium ECC)
+            GXX_VERSION=intel_ecc
           else
   
-           dnl Sun Workshop?
-            is_sun_cc="`($CXX -V 2>&1) | grep 'Sun WorkShop'`"
-            if test "x$is_sun_cc" != "x" ; then
-              AC_MSG_RESULT(C++ compiler is Sun Workshop compiler)
-              GXX_VERSION=sun_workshop
+            dnl Or DEC's cxx compiler?
+            is_dec_cxx="`($CXX -V 2>&1) | grep 'Compaq C++'`"
+            if test "x$is_dec_cxx" != "x" ; then
+              AC_MSG_RESULT(C++ compiler is Compaq cxx)
+              GXX_VERSION=compaq_cxx
             else
   
-             dnl Sun Forte?
-              is_sun_forte_cc="`($CXX -V 2>&1) | grep 'Forte'`"
-              if test "x$is_sun_forte_cc" != "x" ; then
-                AC_MSG_RESULT(C++ compiler is Sun Forte compiler)
-                GXX_VERSION=sun_forte
+             dnl Sun Workshop?
+              is_sun_cc="`($CXX -V 2>&1) | grep 'Sun WorkShop'`"
+              if test "x$is_sun_cc" != "x" ; then
+                AC_MSG_RESULT(C++ compiler is Sun Workshop compiler)
+                GXX_VERSION=sun_workshop
               else
   
-             dnl KAI C++?
-             is_kai_cc="`($CXX -V 2>&1) | grep 'KAI C++'`"
-             if test "x$is_kai_cc" != "x" ; then
-               AC_MSG_RESULT(C++ compiler is KAI C++)
-               GXX_VERSION=kai_cc
-             else
+               dnl Sun Forte?
+                is_sun_forte_cc="`($CXX -V 2>&1) | grep 'Forte'`"
+                if test "x$is_sun_forte_cc" != "x" ; then
+                  AC_MSG_RESULT(C++ compiler is Sun Forte compiler)
+                  GXX_VERSION=sun_forte
+                else
   
-               dnl Portland Group C++?
-               is_pgcc="`($CXX -V 2>&1) | grep 'Portland Group'`"
-               if test "x$is_pgcc" != "x" ; then
-                 AC_MSG_RESULT(C++ compiler is Portland Group C++)
-                 GXX_VERSION=portland_group
-               else
-  
-                 dnl HP aCC?
-                 is_aCC="`($CXX -V 2>&1) | grep 'aCC'`"
-                 if test "x$is_aCC" != "x" ; then
-                   AC_MSG_RESULT(C++ compiler is HP aCC)
-                   GXX_VERSION=hp_aCC
+                 dnl KAI C++?
+                 is_kai_cc="`($CXX -V 2>&1) | grep 'KAI C++'`"
+                 if test "x$is_kai_cc" != "x" ; then
+                   AC_MSG_RESULT(C++ compiler is KAI C++)
+                   GXX_VERSION=kai_cc
                  else
   
-                      dnl  Aw, nothing suitable found...
-                      AC_MSG_ERROR(Unrecognized compiler, sorry)
-                      exit 1
+                   dnl Portland Group C++?
+                   is_pgcc="`($CXX -V 2>&1) | grep 'Portland Group'`"
+                   if test "x$is_pgcc" != "x" ; then
+                     AC_MSG_RESULT(C++ compiler is Portland Group C++)
+                     GXX_VERSION=portland_group
+                   else
+  
+                     dnl HP aCC?
+                     is_aCC="`($CXX -V 2>&1) | grep 'aCC'`"
+                     if test "x$is_aCC" != "x" ; then
+                       AC_MSG_RESULT(C++ compiler is HP aCC)
+                       GXX_VERSION=hp_aCC
+                     else
+  
+                        dnl  Aw, nothing suitable found...
+                        AC_MSG_ERROR(Unrecognized compiler, sorry)
+                        exit 1
+                      fi       
                     fi
                   fi
                 fi
@@ -279,6 +287,30 @@ AC_DEFUN(DEAL_II_SET_CXX_FLAGS, dnl
           LDFLAGSPIC="-KPIC -shared"
           ;;
   
+      intel_ecc)
+          dnl Disable some compiler warnings, as they often are wrong on
+          dnl our code:
+          dnl #175: `subscript out of range' (doesn't take into account that
+          dnl       some code is only reachable for some dimensions)
+          dnl #327: `NULL reference is not allowed' (this happens when we
+          dnl       write "*static_cast<double*>(0)" or some such thing,
+          dnl       which we do to create invalid references)
+          dnl #424: `extra ";" ignored'
+          dnl #525: `type "DataOutBase::DataOutBase" is an inaccessible type
+          dnl       (allowed for compatibility)' (I don't understand what the
+          dnl       compiler means)
+         dnl
+          dnl Note: we would really like to use  -ansi -Xc, since that
+         dnl is _very_ picky about standard C++, and is thus very efficient
+          dnl in detecting slight standard violations, but these flags are
+          dnl also very efficient in crashing the compiler (it generates a
+          dnl segfault)
+          CXXFLAGSG="$CXXFLAGS -Kc++eh -Krtti -w1 -wd175 -wd525 -wd327 -wd424 -DDEBUG -inline_debug_info"
+          CXXFLAGSO="$CXXFLAGS -Kc++eh -Krtti -O2 -ip -unroll -w0 -wd424"
+          CXXFLAGSPIC="-KPIC"
+          LDFLAGSPIC="-KPIC -shared"
+          ;;
+  
       compaq_cxx)
           dnl Disable some warning messages:
           dnl #175: `subscript out of range' (detected when instantiating a
index 01e2a82ea2f833593fb615f56e25a3ee607e2e6c..7fa1fb944cfaa11afb3387a088cea025286258e1 100755 (executable)
@@ -1,12 +1,13 @@
 #! /bin/sh
 # From configure.in Revision: 1.112 .
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by GNU Autoconf 2.53a.
+# Generated by GNU Autoconf 2.53.
 #
 # Copyright 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001, 2002
 # Free Software Foundation, Inc.
 # This configure script is free software; the Free Software Foundation
 # gives unlimited permission to copy, distribute and modify it.
+
 if expr a : '\(a\)' >/dev/null 2>&1; then
   as_expr=expr
 else
@@ -14,7 +15,6 @@ else
 fi
 
 
-
 ## --------------------- ##
 ## M4sh Initialization.  ##
 ## --------------------- ##
@@ -62,13 +62,7 @@ fi
 
 
 # Name of the executable.
-if (basename /) >/dev/null 2>&1 && test "X`basename / 2>&1`" = "X/"; then
-  as_basename=basename
-else
-  as_basename=false
-fi
-
-as_me=`$as_basename "$0" ||
+as_me=`(basename "$0") 2>/dev/null ||
 $as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
         X"$0" : 'X\(//\)$' \| \
         X"$0" : 'X\(/\)$' \| \
@@ -145,8 +139,6 @@ do
   as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
   test "x$as_lineno_1" != "x$as_lineno_2" &&
   test "x$as_lineno_3"  = "x$as_lineno_2" ') 2>/dev/null; then
-            $as_unset BASH_ENV || test "${BASH_ENV+set}" != set || { BASH_ENV=; export BASH_ENV; }
-            $as_unset ENV || test "${ENV+set}" != set || { ENV=; export ENV; }
             CONFIG_SHELL=$as_dir/$as_base
             export CONFIG_SHELL
             exec "$CONFIG_SHELL" "$0" ${1+"$@"}
@@ -219,12 +211,6 @@ else
 fi
 rm -f conf$$ conf$$.exe conf$$.file
 
-if mkdir -p . 2>/dev/null; then
-  as_mkdir_p=:
-else
-  as_mkdir_p=false
-fi
-
 as_executable_p="test -f"
 
 # Sed expression to map a string onto a valid CPP name.
@@ -281,6 +267,25 @@ ac_init_help=
 ac_init_version=false
 # The variables have the same names as the options, with
 # dashes changed to underlines.
+build=NONE
+if test "GENERATED_FILES_DIR_NAME_CMD" = "GENERATED_FILES_DIR_NAME_CMD"; then
+  ac_generated_files_dir=.
+else
+  OLDIFS=$IFS
+  IFS=":"
+  ac_generated_files_dir=.
+  for dir in $PATH; do
+     test -z "$dir" && dir=.
+     if test -x "$dir/GENERATED_FILES_DIR_NAME_CMD"; then
+        ac_generated_files_dir="`$dir/GENERATED_FILES_DIR_NAME_CMD`"
+        if test ! -d $ac_generated_files_dir; then
+         mkdir -p $ac_generated_files_dir
+       fi
+       break
+     fi
+  done
+  IFS=$OLDIFS
+fi
 cache_file=/dev/null
 exec_prefix=NONE
 no_create=
@@ -348,7 +353,7 @@ do
     cache_file=$ac_optarg ;;
 
   --config-cache | -C)
-    cache_file=config.cache ;;
+    cache_file=$ac_generated_files_dir/config.cache ;;
 
   -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
     ac_prev=datadir ;;
@@ -915,7 +920,7 @@ This file contains any messages produced by compilers while
 running configure, to aid debugging if configure makes a mistake.
 
 It was created by $as_me, which was
-generated by GNU Autoconf 2.53a.  Invocation command line was
+generated by GNU Autoconf 2.53.  Invocation command line was
 
   $ $0 $@
 
@@ -1169,7 +1174,7 @@ ac_compiler_gnu=$ac_cv_c_compiler_gnu
 
 
 
-          ac_config_headers="$ac_config_headers base/include/base/config.h"
+ac_config_headers="$ac_config_headers base/include/base/config.h"
 
 
 ac_aux_dir=
@@ -1700,7 +1705,7 @@ for ac_file in `ls a_out.exe a.exe conftest.exe 2>/dev/null;
                 ls a.out conftest 2>/dev/null;
                 ls a.* conftest.* 2>/dev/null`; do
   case $ac_file in
-    *.$ac_ext | *.xcoff | *.tds | *.d | *.pdb | *.xSYM | *.bb | *.bbg | *.o | *.obj ) ;;
+    *.$ac_ext | *.o | *.obj | *.xcoff | *.tds | *.d | *.pdb | *.xSYM ) ;;
     a.out ) # We found the default executable, but exeext='' is most
             # certainly right.
             break;;
@@ -1774,7 +1779,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
 # `rm'.
 for ac_file in `(ls conftest.exe; ls conftest; ls conftest.*) 2>/dev/null`; do
   case $ac_file in
-    *.$ac_ext | *.xcoff | *.tds | *.d | *.pdb | *.xSYM | *.bb | *.bbg | *.o | *.obj ) ;;
+    *.$ac_ext | *.o | *.obj | *.xcoff | *.tds | *.d | *.pdb ) ;;
     *.* ) ac_cv_exeext=`expr "$ac_file" : '[^.]*\(\..*\)'`
           export ac_cv_exeext
           break;;
@@ -1825,7 +1830,7 @@ if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (exit $ac_status); }; then
   for ac_file in `(ls conftest.o conftest.obj; ls conftest.*) 2>/dev/null`; do
   case $ac_file in
-    *.$ac_ext | *.xcoff | *.tds | *.d | *.pdb | *.xSYM | *.bb | *.bbg ) ;;
+    *.$ac_ext | *.xcoff | *.tds | *.d | *.pdb ) ;;
     *) ac_cv_objext=`expr "$ac_file" : '.*\.\(.*\)'`
        break;;
   esac
@@ -1958,103 +1963,6 @@ else
     CFLAGS=
   fi
 fi
-echo "$as_me:$LINENO: checking for $CC option to accept ANSI C" >&5
-echo $ECHO_N "checking for $CC option to accept ANSI C... $ECHO_C" >&6
-if test "${ac_cv_prog_cc_stdc+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  ac_cv_prog_cc_stdc=no
-ac_save_CC=$CC
-cat >conftest.$ac_ext <<_ACEOF
-#line $LINENO "configure"
-#include "confdefs.h"
-#include <stdarg.h>
-#include <stdio.h>
-#include <sys/types.h>
-#include <sys/stat.h>
-/* Most of the following tests are stolen from RCS 5.7's src/conf.sh.  */
-struct buf { int x; };
-FILE * (*rcsopen) (struct buf *, struct stat *, int);
-static char *e (p, i)
-     char **p;
-     int i;
-{
-  return p[i];
-}
-static char *f (char * (*g) (char **, int), char **p, ...)
-{
-  char *s;
-  va_list v;
-  va_start (v,p);
-  s = g (p, va_arg (v,int));
-  va_end (v);
-  return s;
-}
-int test (int i, double x);
-struct s1 {int (*f) (int a);};
-struct s2 {int (*f) (double a);};
-int pairnames (int, char **, FILE *(*)(struct buf *, struct stat *, int), int, int);
-int argc;
-char **argv;
-#ifdef F77_DUMMY_MAIN
-#  ifdef __cplusplus
-     extern "C"
-#  endif
-   int F77_DUMMY_MAIN() { return 1; }
-#endif
-int
-main ()
-{
-return f (e, argv, 0) != argv[0]  ||  f (e, argv, 1) != argv[1];
-  ;
-  return 0;
-}
-_ACEOF
-# Don't try gcc -ansi; that turns off useful extensions and
-# breaks some systems' header files.
-# AIX                  -qlanglvl=ansi
-# Ultrix and OSF/1     -std1
-# HP-UX 10.20 and later        -Ae
-# HP-UX older versions -Aa -D_HPUX_SOURCE
-# SVR4                 -Xc -D__EXTENSIONS__
-for ac_arg in "" -qlanglvl=ansi -std1 -Ae "-Aa -D_HPUX_SOURCE" "-Xc -D__EXTENSIONS__"
-do
-  CC="$ac_save_CC $ac_arg"
-  rm -f conftest.$ac_objext
-if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
-  (eval $ac_compile) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-         { ac_try='test -s conftest.$ac_objext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  ac_cv_prog_cc_stdc=$ac_arg
-break
-else
-  echo "$as_me: failed program was:" >&5
-cat conftest.$ac_ext >&5
-fi
-rm -f conftest.$ac_objext
-done
-rm -f conftest.$ac_ext conftest.$ac_objext
-CC=$ac_save_CC
-
-fi
-
-case "x$ac_cv_prog_cc_stdc" in
-  x|xno)
-    echo "$as_me:$LINENO: result: none needed" >&5
-echo "${ECHO_T}none needed" >&6 ;;
-  *)
-    echo "$as_me:$LINENO: result: $ac_cv_prog_cc_stdc" >&5
-echo "${ECHO_T}$ac_cv_prog_cc_stdc" >&6
-    CC="$CC $ac_cv_prog_cc_stdc" ;;
-esac
-
 # Some people use a C++ compiler to compile C.  Since we use `exit',
 # in C++ we need to declare it.  In case someone uses the same compiler
 # for both compiling C and C++ we need to have the C++ compiler decide
@@ -2660,52 +2568,60 @@ echo "${ECHO_T}C++ compiler is Intel ICC" >&6
           GXX_VERSION=intel_icc
         else
 
-                    is_dec_cxx="`($CXX -V 2>&1) | grep 'Compaq C++'`"
-          if test "x$is_dec_cxx" != "x" ; then
-            echo "$as_me:$LINENO: result: C++ compiler is Compaq cxx" >&5
-echo "${ECHO_T}C++ compiler is Compaq cxx" >&6
-            GXX_VERSION=compaq_cxx
+                    is_intel_ecc="`($CXX -V 2>&1) | grep 'Intel(R) C++ Itanium(TM) Compiler'`"
+          if test "x$is_intel_ecc" != "x" ; then
+            echo "$as_me:$LINENO: result: C++ compiler is Intel Itanium ECC" >&5
+echo "${ECHO_T}C++ compiler is Intel Itanium ECC" >&6
+            GXX_VERSION=intel_ecc
           else
 
-                       is_sun_cc="`($CXX -V 2>&1) | grep 'Sun WorkShop'`"
-            if test "x$is_sun_cc" != "x" ; then
-              echo "$as_me:$LINENO: result: C++ compiler is Sun Workshop compiler" >&5
-echo "${ECHO_T}C++ compiler is Sun Workshop compiler" >&6
-              GXX_VERSION=sun_workshop
+                        is_dec_cxx="`($CXX -V 2>&1) | grep 'Compaq C++'`"
+            if test "x$is_dec_cxx" != "x" ; then
+              echo "$as_me:$LINENO: result: C++ compiler is Compaq cxx" >&5
+echo "${ECHO_T}C++ compiler is Compaq cxx" >&6
+              GXX_VERSION=compaq_cxx
             else
 
-                           is_sun_forte_cc="`($CXX -V 2>&1) | grep 'Forte'`"
-              if test "x$is_sun_forte_cc" != "x" ; then
-                echo "$as_me:$LINENO: result: C++ compiler is Sun Forte compiler" >&5
-echo "${ECHO_T}C++ compiler is Sun Forte compiler" >&6
-                GXX_VERSION=sun_forte
+                           is_sun_cc="`($CXX -V 2>&1) | grep 'Sun WorkShop'`"
+              if test "x$is_sun_cc" != "x" ; then
+                echo "$as_me:$LINENO: result: C++ compiler is Sun Workshop compiler" >&5
+echo "${ECHO_T}C++ compiler is Sun Workshop compiler" >&6
+                GXX_VERSION=sun_workshop
               else
 
-                             is_kai_cc="`($CXX -V 2>&1) | grep 'KAI C++'`"
-             if test "x$is_kai_cc" != "x" ; then
-               echo "$as_me:$LINENO: result: C++ compiler is KAI C++" >&5
+                               is_sun_forte_cc="`($CXX -V 2>&1) | grep 'Forte'`"
+                if test "x$is_sun_forte_cc" != "x" ; then
+                  echo "$as_me:$LINENO: result: C++ compiler is Sun Forte compiler" >&5
+echo "${ECHO_T}C++ compiler is Sun Forte compiler" >&6
+                  GXX_VERSION=sun_forte
+                else
+
+                                 is_kai_cc="`($CXX -V 2>&1) | grep 'KAI C++'`"
+                 if test "x$is_kai_cc" != "x" ; then
+                   echo "$as_me:$LINENO: result: C++ compiler is KAI C++" >&5
 echo "${ECHO_T}C++ compiler is KAI C++" >&6
-               GXX_VERSION=kai_cc
-             else
+                   GXX_VERSION=kai_cc
+                 else
 
-                               is_pgcc="`($CXX -V 2>&1) | grep 'Portland Group'`"
-               if test "x$is_pgcc" != "x" ; then
-                 echo "$as_me:$LINENO: result: C++ compiler is Portland Group C++" >&5
+                                   is_pgcc="`($CXX -V 2>&1) | grep 'Portland Group'`"
+                   if test "x$is_pgcc" != "x" ; then
+                     echo "$as_me:$LINENO: result: C++ compiler is Portland Group C++" >&5
 echo "${ECHO_T}C++ compiler is Portland Group C++" >&6
-                 GXX_VERSION=portland_group
-               else
+                     GXX_VERSION=portland_group
+                   else
 
-                                 is_aCC="`($CXX -V 2>&1) | grep 'aCC'`"
-                 if test "x$is_aCC" != "x" ; then
-                   echo "$as_me:$LINENO: result: C++ compiler is HP aCC" >&5
+                                             is_aCC="`($CXX -V 2>&1) | grep 'aCC'`"
+                     if test "x$is_aCC" != "x" ; then
+                       echo "$as_me:$LINENO: result: C++ compiler is HP aCC" >&5
 echo "${ECHO_T}C++ compiler is HP aCC" >&6
-                   GXX_VERSION=hp_aCC
-                 else
+                       GXX_VERSION=hp_aCC
+                     else
 
-                                            { { echo "$as_me:$LINENO: error: Unrecognized compiler" >&5
+                                                { { echo "$as_me:$LINENO: error: Unrecognized compiler" >&5
 echo "$as_me: error: Unrecognized compiler" >&2;}
    { (exit sorry); exit sorry; }; }
-                      exit 1
+                        exit 1
+                      fi
                     fi
                   fi
                 fi
@@ -2847,6 +2763,13 @@ rm -f conftest.$ac_objext conftest.$ac_ext
           LDFLAGSPIC="-KPIC -shared"
           ;;
 
+      intel_ecc)
+                                                                                                                                                                         CXXFLAGSG="$CXXFLAGS -Kc++eh -Krtti -w1 -wd175 -wd525 -wd327 -wd424 -DDEBUG -inline_debug_info"
+          CXXFLAGSO="$CXXFLAGS -Kc++eh -Krtti -O2 -ip -unroll -w0 -wd424"
+          CXXFLAGSPIC="-KPIC"
+          LDFLAGSPIC="-KPIC -shared"
+          ;;
+
       compaq_cxx)
 
           CXXFLAGSG="$CXXFLAGS -model ansi -std strict_ansi -w1 -msg_display_number -timplicit_local -DDEBUG"
@@ -6371,7 +6294,7 @@ echo "${ECHO_T}--------------------- generating output ---------------------" >&
 
 
 
-                                                  ac_config_files="$ac_config_files common/Make.global_options common/Makefile.template doc/Makefile doc/auto/Makefile doc/auto/kdoc/Makefile"
+ac_config_files="$ac_config_files common/Make.global_options common/Makefile.template doc/Makefile doc/auto/Makefile doc/auto/kdoc/Makefile"
 
 
 test "x$prefix" = xNONE && prefix=$ac_default_prefix
@@ -6396,7 +6319,7 @@ fi
 DEFS=-DHAVE_CONFIG_H
 
 
-: ${CONFIG_STATUS=./config.status}
+: ${CONFIG_STATUS=./$ac_generated_files_dir/config.status}
 ac_clean_files_save=$ac_clean_files
 ac_clean_files="$ac_clean_files $CONFIG_STATUS"
 { echo "$as_me:$LINENO: creating $CONFIG_STATUS" >&5
@@ -6461,13 +6384,7 @@ fi
 
 
 # Name of the executable.
-if (basename /) >/dev/null 2>&1 && test "X`basename / 2>&1`" = "X/"; then
-  as_basename=basename
-else
-  as_basename=false
-fi
-
-as_me=`$as_basename "$0" ||
+as_me=`(basename "$0") 2>/dev/null ||
 $as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
         X"$0" : 'X\(//\)$' \| \
         X"$0" : 'X\(/\)$' \| \
@@ -6545,8 +6462,6 @@ do
   as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
   test "x$as_lineno_1" != "x$as_lineno_2" &&
   test "x$as_lineno_3"  = "x$as_lineno_2" ') 2>/dev/null; then
-            $as_unset BASH_ENV || test "${BASH_ENV+set}" != set || { BASH_ENV=; export BASH_ENV; }
-            $as_unset ENV || test "${ENV+set}" != set || { ENV=; export ENV; }
             CONFIG_SHELL=$as_dir/$as_base
             export CONFIG_SHELL
             exec "$CONFIG_SHELL" "$0" ${1+"$@"}
@@ -6620,12 +6535,6 @@ else
 fi
 rm -f conf$$ conf$$.exe conf$$.file
 
-if mkdir -p . 2>/dev/null; then
-  as_mkdir_p=:
-else
-  as_mkdir_p=false
-fi
-
 as_executable_p="test -f"
 
 # Sed expression to map a string onto a valid CPP name.
@@ -6659,7 +6568,7 @@ _ASBOX
 cat >&5 <<_CSEOF
 
 This file was extended by $as_me, which was
-generated by GNU Autoconf 2.53a.  Invocation command line was
+generated by GNU Autoconf 2.53.  Invocation command line was
 
   CONFIG_FILES    = $CONFIG_FILES
   CONFIG_HEADERS  = $CONFIG_HEADERS
@@ -6718,7 +6627,7 @@ _ACEOF
 cat >>$CONFIG_STATUS <<_ACEOF
 ac_cs_version="\\
 config.status
-configured by $0, generated by GNU Autoconf 2.53a,
+configured by $0, generated by GNU Autoconf 2.53,
   with options \\"`echo "$ac_configure_args" | sed 's/[\\""\`\$]/\\\\&/g'`\\"
 
 Copyright 1992, 1993, 1994, 1995, 1996, 1998, 1999, 2000, 2001
@@ -7009,30 +6918,25 @@ echo X"$ac_file" |
          /^X\(\/\/\)$/{ s//\1/; q; }
          /^X\(\/\).*/{ s//\1/; q; }
          s/.*/./; q'`
-  { if $as_mkdir_p; then
-    mkdir -p "$ac_dir"
-  else
-    as_dir="$ac_dir"
-    as_dirs=
-    while test ! -d "$as_dir"; do
-      as_dirs="$as_dir $as_dirs"
-      as_dir=`(dirname "$as_dir") 2>/dev/null ||
-$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
-         X"$as_dir" : 'X\(//\)[^/]' \| \
-         X"$as_dir" : 'X\(//\)$' \| \
-         X"$as_dir" : 'X\(/\)' \| \
-         .     : '\(.\)' 2>/dev/null ||
-echo X"$as_dir" |
-    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
-         /^X\(\/\/\)[^/].*/{ s//\1/; q; }
-         /^X\(\/\/\)$/{ s//\1/; q; }
-         /^X\(\/\).*/{ s//\1/; q; }
-         s/.*/./; q'`
-    done
-    test ! -n "$as_dirs" || mkdir $as_dirs
-  fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
-echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
-   { (exit 1); exit 1; }; }; }
+  { case "$ac_dir" in
+  [\\/]* | ?:[\\/]* ) as_incr_dir=;;
+  *)                      as_incr_dir=.;;
+esac
+as_dummy="$ac_dir"
+for as_mkdir_dir in `IFS='/\\'; set X $as_dummy; shift; echo "$@"`; do
+  case $as_mkdir_dir in
+    # Skip DOS drivespec
+    ?:) as_incr_dir=$as_mkdir_dir ;;
+    *)
+      as_incr_dir=$as_incr_dir/$as_mkdir_dir
+      test -d "$as_incr_dir" ||
+        mkdir "$as_incr_dir" ||
+       { { echo "$as_me:$LINENO: error: cannot create \"$ac_dir\"" >&5
+echo "$as_me: error: cannot create \"$ac_dir\"" >&2;}
+   { (exit 1); exit 1; }; }
+    ;;
+  esac
+done; }
 
   ac_builddir=.
 
@@ -7327,30 +7231,25 @@ echo X"$ac_file" |
          /^X\(\/\/\)$/{ s//\1/; q; }
          /^X\(\/\).*/{ s//\1/; q; }
          s/.*/./; q'`
-      { if $as_mkdir_p; then
-    mkdir -p "$ac_dir"
-  else
-    as_dir="$ac_dir"
-    as_dirs=
-    while test ! -d "$as_dir"; do
-      as_dirs="$as_dir $as_dirs"
-      as_dir=`(dirname "$as_dir") 2>/dev/null ||
-$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
-         X"$as_dir" : 'X\(//\)[^/]' \| \
-         X"$as_dir" : 'X\(//\)$' \| \
-         X"$as_dir" : 'X\(/\)' \| \
-         .     : '\(.\)' 2>/dev/null ||
-echo X"$as_dir" |
-    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
-         /^X\(\/\/\)[^/].*/{ s//\1/; q; }
-         /^X\(\/\/\)$/{ s//\1/; q; }
-         /^X\(\/\).*/{ s//\1/; q; }
-         s/.*/./; q'`
-    done
-    test ! -n "$as_dirs" || mkdir $as_dirs
-  fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
-echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
-   { (exit 1); exit 1; }; }; }
+      { case "$ac_dir" in
+  [\\/]* | ?:[\\/]* ) as_incr_dir=;;
+  *)                      as_incr_dir=.;;
+esac
+as_dummy="$ac_dir"
+for as_mkdir_dir in `IFS='/\\'; set X $as_dummy; shift; echo "$@"`; do
+  case $as_mkdir_dir in
+    # Skip DOS drivespec
+    ?:) as_incr_dir=$as_mkdir_dir ;;
+    *)
+      as_incr_dir=$as_incr_dir/$as_mkdir_dir
+      test -d "$as_incr_dir" ||
+        mkdir "$as_incr_dir" ||
+       { { echo "$as_me:$LINENO: error: cannot create \"$ac_dir\"" >&5
+echo "$as_me: error: cannot create \"$ac_dir\"" >&2;}
+   { (exit 1); exit 1; }; }
+    ;;
+  esac
+done; }
 
       rm -f $ac_file
       mv $tmp/config.h $ac_file
@@ -7436,30 +7335,25 @@ if test "$no_recursion" != yes; then
 
     { echo "$as_me:$LINENO: configuring in $ac_dir" >&5
 echo "$as_me: configuring in $ac_dir" >&6;}
-    { if $as_mkdir_p; then
-    mkdir -p "$ac_dir"
-  else
-    as_dir="$ac_dir"
-    as_dirs=
-    while test ! -d "$as_dir"; do
-      as_dirs="$as_dir $as_dirs"
-      as_dir=`(dirname "$as_dir") 2>/dev/null ||
-$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
-         X"$as_dir" : 'X\(//\)[^/]' \| \
-         X"$as_dir" : 'X\(//\)$' \| \
-         X"$as_dir" : 'X\(/\)' \| \
-         .     : '\(.\)' 2>/dev/null ||
-echo X"$as_dir" |
-    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
-         /^X\(\/\/\)[^/].*/{ s//\1/; q; }
-         /^X\(\/\/\)$/{ s//\1/; q; }
-         /^X\(\/\).*/{ s//\1/; q; }
-         s/.*/./; q'`
-    done
-    test ! -n "$as_dirs" || mkdir $as_dirs
-  fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
-echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
-   { (exit 1); exit 1; }; }; }
+    { case "$ac_dir" in
+  [\\/]* | ?:[\\/]* ) as_incr_dir=;;
+  *)                      as_incr_dir=.;;
+esac
+as_dummy="$ac_dir"
+for as_mkdir_dir in `IFS='/\\'; set X $as_dummy; shift; echo "$@"`; do
+  case $as_mkdir_dir in
+    # Skip DOS drivespec
+    ?:) as_incr_dir=$as_mkdir_dir ;;
+    *)
+      as_incr_dir=$as_incr_dir/$as_mkdir_dir
+      test -d "$as_incr_dir" ||
+        mkdir "$as_incr_dir" ||
+       { { echo "$as_me:$LINENO: error: cannot create \"$ac_dir\"" >&5
+echo "$as_me: error: cannot create \"$ac_dir\"" >&2;}
+   { (exit 1); exit 1; }; }
+    ;;
+  esac
+done; }
 
     ac_builddir=.
 
index 795644a08ae3a7ff36dde6dfcacc79383a6997e7..d6b25b3630ae6e34a62381b4f4a32fbaaacc8e0b 100644 (file)
@@ -33,6 +33,15 @@ contributor's names are abbreviated by WB (Wolfgang Bangerth), GK
 <h3>General</h3>
 
 <ol>
+  <li> <p>
+       Added: The <code>configure</code> script now recognizes Intel's ECC
+       compiler when run on Itanium systems with this compiler present.
+       The ECC compiler is similar to the ICC compiler but it acccepts some
+       different options.
+       <br>
+       (BK 2002/05/22)
+       </p>
+
   <li> <p> 
        New: The step-14 example program demonstrates duality based
        error estimators and some more software design concepts.
index 2dda576a0685236192d44ab0d2946652f90e7ae2..d3be931f3e5e4c91481e72f63ff15f445ebc6683 100644 (file)
 
     <dir>
     <dl>
+      <dt>
+          <strong>2002/05/22: Intel ECC Itanium compiler now supported</strong>
+      </dt>
+      <dd>
+          <code>aclocal.m4</code> has been changed to detect the Intel ECC
+          compiler for Itanium systems.  The ECC compiler can produce
+          optimized code for Intel's new IA-64 architecture.
+         </p>
+      </dd>
+      
       <dt>
           <strong>2002/05/05: New example program demonstrating
           duality based error estimators</strong>

In the beginning the Universe was created. This has made a lot of people very angry and has been widely regarded as a bad move.

Douglas Adams


Typeset in Trocchi and Trocchi Bold Sans Serif.